function fn_xco_listar () {
	$.ajax({
		url 	: ruta + 'maestras/xco/listar',
		data 	: {
			texto 	: $('#txt_bxco').val()
		},
		type 	: 'post',
		dataType: 'json',
		success : function (data) {
			$('#xco_data').DataTable().destroy();
			$('#xco_data tbody').html(data[0]);
			$('#xco_data').DataTable({
                "searching"     : false,
                "scrollY"       : ($(window).height()) + "px",
                "scrollCollapse": true,
                "paging"        : false,
                "language"		: {
    		    	"url"		: ruta + 'json/Spanish.json'
	            }
			});
		}
	});
}

function fn_xco_nuevo() {
	var res = 0;
	swal({
		title 	: 'Nuevo Consultorio',
		html 	: '<input type="text" id="txt_descripcion" name="txt_descripcion" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_descripcion').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_descripcion').val()==''){
					reject('Debe ingresar un consultorio!');
				}else{
					$.ajax({
						url 	: ruta + 'maestras/xco/insertar',
						data 	: {
							d1 	: $('#txt_descripcion').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
							if(data>0)res=1;
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		if(res==1)swal('Alerta!','El consultorio ya existe en el sistema.','warning');
		else{
			swal({
				title 	: 'Alerta!',
				html 	: 'Consultorio ingresado correctamente.',
				type 	: 'success',
				allowOutsideClick 		: false,
        		allowEscapeKey 			: false
        	}).then(function () {
        		fn_xco_listar();
        	});
		}
	});
}

function fn_xco_ver(d1, d2) {
	swal({
		title 	: 'Editar Consultorio',
		html 	: '<input type="text" id="txt_descripcion" name="txt_descripcion" value="'+d2+'" autofocus class="form-control"/>',
		type 	: 'info',
		showCancelButton 		: true,
  		confirmButtonText 		: '<span class="glyphicon glyphicon-floppy-disk"></span> <b>Grabar cambios</b>',
  		cancelButtonText 		: 'Cancelar!',
  		confirmButtonClass 		: 'btn btn-primary',
  		cancelButtonClass 		: 'btn btn-danger',
  		allowOutsideClick 		: false,
        allowEscapeKey 			: false,
  		buttonsStyling 			: false,
  		onOpen: function () {
    		$('#txt_descripcion').focus();
  		},
		preConfirm: function () {
			return new Promise(function (resolve, reject) {
				if($('#txt_descripcion').val()==''){
					reject('Debe ingresar un consultorio!');
				}else{
					$.ajax({
						url 	: ruta + 'maestras/xco/editar',
						data 	: {
							d1 	: d1,
							d2 	: $('#txt_descripcion').val()
						},
						type 	: 'post',
						success : function (data) {
							resolve();
						}
					});
				}
			});
		},
		allowOutsideClick: false
	}).then(function () {
		swal('Alerta!','Datos grabados correctamente.','success');
		fn_xco_listar();
	});
}